Bug 1188679 - [RFE] Docs: Hosted-Engine: add content for migrating from HE 3.5 on EL6 to HE 3.6 on EL7
Summary: [RFE] Docs: Hosted-Engine: add content for migrating from HE 3.5 on EL6 to HE...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ovirt-3.6.4
: 3.6.0
Assignee: Julie
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-03 14:12 UTC by Sandro Bonazzola
Modified: 2016-03-09 21:53 UTC (History)
20 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-09 21:53:27 UTC
mavital: needinfo+
mavital: needinfo+


Attachments (Terms of Use)

Description Sandro Bonazzola 2015-02-03 14:12:17 UTC
In 3.6.0 rhevm will support cluster compatibility level 3.6 on EL7 and 3.5 on EL6. The Default cluster has compatibility level 3.6 and can't be downgraded manually to 3.5 from the web UI.

This means that for deploying hosted-engine on EL6 a new cluster must be created within the engine with compatibility level 3.5 in order to allow the host running the engine VM to join the cluster.

Comment 1 Sandro Bonazzola 2015-02-04 06:59:48 UTC
It has been decided that HE for 3.6 will be supported only on EL7 nodes.
We'll need to
 - provide a guide for migrating from HE 3.5 on EL6 to HE 3.6 on EL7.
 - cover this migration in QE test cases.
 - test the migration ensuring it works smoothly.

Comment 2 Sandro Bonazzola 2015-10-26 12:33:29 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 3 Yaniv Lavi 2015-11-12 07:29:53 UTC
Can you provide content to start work on this guide?

Comment 4 Sandro Bonazzola 2015-11-16 15:33:58 UTC
(In reply to Yaniv Dary from comment #3)
> Can you provide content to start work on this guide?

We're discussing about possible paths.

1) add an el7 host to a new cluster in the same domain and let the agent, shutdown the vm on the el6 cluster and let the el7 one to start it having 3.6 an higer score than 3.5. Then migrate the remaining hosts.

2) create a brand new cluster and use backup on el6 / restore on el7 procedure.

Can QE assist testing the 2 paths?

Comment 5 Julie 2015-11-18 02:16:05 UTC
Please provide the bug number that tracks the testing of this function(if there is one), and please need_info me once the work flow has been tested and is ready to be added to the 3.6 SHE Guide.

Kind regards,
Julie

Comment 6 Yaniv Lavi 2015-11-22 12:30:41 UTC
(In reply to Sandro Bonazzola from comment #4)
> (In reply to Yaniv Dary from comment #3)
> > Can you provide content to start work on this guide?
> 
> We're discussing about possible paths.
> 
> 1) add an el7 host to a new cluster in the same domain and let the agent,
> shutdown the vm on the el6 cluster and let the el7 one to start it having
> 3.6 an higer score than 3.5. Then migrate the remaining hosts.
> 
> 2) create a brand new cluster and use backup on el6 / restore on el7
> procedure.
> 
> Can QE assist testing the 2 paths?

Pavel, do we have test cases for these paths?

Comment 7 Pavel Novotny 2015-11-23 12:23:06 UTC
(In reply to Yaniv Dary from comment #6)
> (In reply to Sandro Bonazzola from comment #4)
> > (In reply to Yaniv Dary from comment #3)
> > > Can you provide content to start work on this guide?
> > 
> > We're discussing about possible paths.
> > 
> > 1) add an el7 host to a new cluster in the same domain and let the agent,
> > shutdown the vm on the el6 cluster and let the el7 one to start it having
> > 3.6 an higer score than 3.5. Then migrate the remaining hosts.
> > 
> > 2) create a brand new cluster and use backup on el6 / restore on el7
> > procedure.
> > 
> > Can QE assist testing the 2 paths?
> 
> Pavel, do we have test cases for these paths?

Passing to Meital, her team is testing hosted engine.

Comment 8 meital avital 2016-01-25 10:44:39 UTC
We don't have test cases for these paths. 
Moran, I would like to get ordered flow of the HE upgrade from el6 to el7.

Comment 9 Moran Goldboim 2016-01-31 10:45:22 UTC
(In reply to meital avital from comment #8)
> We don't have test cases for these paths. 
> Moran, I would like to get ordered flow of the HE upgrade from el6 to el7.

Doron, what would be the supported way to do it. i would imagine some backup restore (migration) from el6 to el7?

Comment 10 Yaniv Lavi 2016-02-01 12:59:13 UTC
To my understanding from talking to Meital today this should be included in the in-cluster upgrade path from el6 to el7 with a added step of re-deploying host on the el7 machine post installation.

Comment 11 Doron Fediuck 2016-02-02 17:30:28 UTC
There's already a documented way to move a deployment from el6 to el7.

Assuming it was performed and all hosts are el7, you will need to use the backup
utility in the hosted engine VM, and then restore it into a new el7 appliance.

Comment 12 Yaniv Lavi 2016-02-09 12:11:31 UTC
(In reply to Doron Fediuck from comment #11)
> There's already a documented way to move a deployment from el6 to el7.
> 
> Assuming it was performed and all hosts are el7, you will need to use the
> backup
> utility in the hosted engine VM, and then restore it into a new el7
> appliance.

This bug is about moving the hosted engine 3.6 el6 appliance from EL6 hypervisor to EL7 hypervisor on 3.5. Please add details to how this should be done.

Comment 16 Lucy Bopf 2016-02-23 00:21:02 UTC
Assigning to Julie for review.

Julie, we can start by writing up the instructions provided, and work with QE to verify that the documented flow is correct.

Comment 18 Yedidyah Bar David 2016-02-25 08:56:41 UTC
Now finished writing a first draft of such a guide [1] for upstream docs. I'll shortly send a pull request to get it to the site. Comments are welcome.

[1] https://github.com/didib/ovirt-site/blob/master/source/documentation/how-to/hosted-engine-host-OS-upgrade.html.md

Comment 19 Yaniv Lavi 2016-02-25 11:50:00 UTC
(In reply to Yedidyah Bar David from comment #18)
> Now finished writing a first draft of such a guide [1] for upstream docs.
> I'll shortly send a pull request to get it to the site. Comments are welcome.
> 
> [1]
> https://github.com/didib/ovirt-site/blob/master/source/documentation/how-to/
> hosted-engine-host-OS-upgrade.html.md

Please add steps that will not have error, this should be done with a modified answer file for first host and using it for later migration, not failing on every host add.

Comment 20 Yedidyah Bar David 2016-02-25 12:03:47 UTC
(In reply to Yaniv Dary from comment #19)
> (In reply to Yedidyah Bar David from comment #18)
> > Now finished writing a first draft of such a guide [1] for upstream docs.
> > I'll shortly send a pull request to get it to the site. Comments are welcome.
> > 
> > [1]
> > https://github.com/didib/ovirt-site/blob/master/source/documentation/how-to/
> > hosted-engine-host-OS-upgrade.html.md
> 
> Please add steps that will not have error, this should be done with a
> modified answer file for first host and using it for later migration, not
> failing on every host add.

I only wrote there things I tried.

I might have time next week to try that too and amend accordingly.

Others - if you try that, please comment here with details. Thanks.


Note You need to log in before you can comment on or make changes to this bug.